Subject: RE: [Rfid] Reader Discovery

From: Howard Kapustein <[email-masked]>
Date: Tue, 24 May 2005 21:44:54 -0400

>not a whole lot about this in either the RP, or RM or ALE documents of the
EPC global either.
 
FYI, "Discovery" was expressly defined *out-of-scope* for RP 1.0.
There have been conversations (techies being what they are), but nothing for
1.0.
Discovery wasn't a pressing issue (not relative to other things, e.g. a
standard way to talk to a reader to get a report of tags read).
And a priori configuration requirements weren't (aren't) onerous,
realistically.
Relatively speaking.
Lack of "Discovery" is a far more manageable problem than, say, lack of
standard (any) "Management" or "write tag" capabilities.

FYI UDP has issues crossing subnets.
And there's other options as well.
You didn't mention DNS, Novell's thing (ZEN? ZeroNetworking? ZeroConfig? No,
that's wrong. Sorry, my brain hurts too much to recall offhand), Apple's
Rendezvous, JINI and UPnP, to name a few.
 
>I'm not thinking of any "massively" scalable method for a large number.
Why not?
That's the truly hard problem.
Solutions abound for simple scenarios.
And most of them are dead wrong for "massive" scalability.

>Some documents/links discussing the overall concept would be great as well.
Doesn't IETF have (multiple?) defined protocols for discovery?
Which one(s) are considered 'best practices' these days?
 
Where's those "IETF kits" mentioned some weeks ago? <g>
 
    - Howard

  _____  

From: [email-masked] [mailto:[email-masked]] On
Behalf Of Suresh Bhaskaran
Sent: Tuesday, May 24, 2005 8:27 PM
To: [email-masked]
Subject: [Rfid] Reader Discovery

One more SLRRP question:

What are some simple easy ways (in the "Lightweight" spirit of SLRRP) to do
discovery of the reader device?

Some options/ideas that seem to have cropped up in various discussions:

1.	UDP broadcast 

2.	DHCP server can give both IP address *and* server address to reader 

3.	Cisco-type discovery was mentioned as a possibility - I'm not too
familiar with this...  Is there some document/link that explains this and
other options? 

At this stage, I'm not thinking of any "massively" scalable method for a
large number.  Simply, if one (or a few) readers come up, what are some ways
they can get their IP addresses, and find out who their server is, and start
talking to each other?  Then the server can send a SLRRP command to get the
reader capabilities.

I noticed that there was not a whole lot about this in either the RP, or RM
or ALE documents of the EPC global either. (I did a search on the word
"discover", and didn't find any simple answers relating to the above
questions).

I know this could be a huge topic, but I just wanted some simple
ideas/pointers here.

Some documents/links discussing the overall concept would be great as well.

Suresh

_______________________________________________
Rfid mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rfid

---

From: Ricardo Labiaga <[email-masked]>
Date: Tue, 24 May 2005 23:26:39 -0700

Hello,

The EPCglobal Reader Management Working group studied this problem in
some detail during its first two months of creation.  As Howard points out
there are a large number of protocols and technologies that address some
pieces of the discovery process in various ways.  As a group, we took an
initial high level look at UPnP, JXTA, and DHCP.  There are many others that
we'll need to study as we move into the second version of the Reader
Management specification, not only for discovery, but for inter-reader
communication/ coordination.

- ricardo

Howard Kapustein wrote:
> />not a whole lot about this in either the RP, or RM or ALE documents of 
> the EPC global either./
>  
> There have been conversations (techies being what they are), but nothing 
> for 1.0.
> You didn't mention DNS, Novell's thing (ZEN? ZeroNetworking? 
> ZeroConfig? No, that's wrong. Sorry, my brain hurts too much to recall 
> offhand), Apple's Rendezvous, JINI and UPnP, to name a few.
>  
> />I'm not thinking of any "massively" scalable method for a large number./
> Why not?
> />Some documents/links discussing the overall concept would be great as 
> well./
> ------------------------------------------------------------------------
> *From:* [email-masked] [mailto:[email-masked]] 
> *On Behalf Of *Suresh Bhaskaran
> *Sent:* Tuesday, May 24, 2005 8:27 PM
> *To:* [email-masked]
> *Subject:* [Rfid] Reader Discovery
> 
> One more SLRRP question:
> 
>  
> 
> What are some simple easy ways (in the "Lightweight" spirit of SLRRP) to 
> do discovery of the reader device?
> 
>  
> 
>    2. DHCP server can give both IP address **and** server address to reader
>       familiar with this...  Is there some document/link that explains
>       this and other options? 
> 
>  
> 
> large number.  Simply, if one (or a few) readers come up, what are some 
> ways they can get their IP addresses, and find out who their server is, 
> and start talking to each other?  Then the server can send a SLRRP 
> command to get the reader capabilities.
> 
>  
> 
> I noticed that there was not a whole lot about this in either the RP, or 
> RM or ALE documents of the EPC global either. (I did a search on the 
> word "discover", and didn't find any simple answers relating to the 
> above questions).
> 
>  
> 
> ------------------------------------------------------------------------
>